Bug 1381681 (CVE-2016-7062) - CVE-2016-7062 rhscon-ceph: password leak by command line parameter
Summary: CVE-2016-7062 rhscon-ceph: password leak by command line parameter
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7062
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1382623
Blocks: 1381676
TreeView+ depends on / blocked
 
Reported: 2016-10-04 17:54 UTC by Siddharth Sharma
Modified: 2019-09-29 13:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way authentication details were passed between rhscon-ceph and rhscon-core. An authenticated, local attacker could use this flaw to recover the cleartext password.
Clone Of:
Environment:
Last Closed: 2016-10-19 15:37:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2082 0 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2 security and bug fix update 2017-04-18 19:29:02 UTC

Description Siddharth Sharma 2016-10-04 17:54:21 UTC
rhcon-ceph leaks password in plain text via command line parameter.
Authenticated Local user can view passwords in plain text by ps -ef command.

https://bugzilla.redhat.com/show_bug.cgi?id=1346379

Comment 2 errata-xmlrpc 2016-10-19 15:22:38 UTC
This issue has been addressed in the following products:

  Red Hat Storage Console 2 for Red Hat Enteprise Linux 7

Via RHSA-2016:2082 https://access.redhat.com/errata/RHSA-2016:2082


Note You need to log in before you can comment on or make changes to this bug.